#
# spec file for package perl-Net-Jabber
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Net-Jabber
Version:        2.0
Release:        bp155.2.8
Summary:        Jabber Perl Library
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://cpan.org/modules/by-module/Net/
Source:         http://search.cpan.org/CPAN/authors/id/R/RE/REATMON/Net-Jabber-%version.tar.gz
Patch:          Net-Jabber-%{version}-tests.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl-Net-XMPP
BuildRequires:  perl-macros
Requires:       perl-Authen-SASL
Requires:       perl-Digest-SHA1
Requires:       perl-Net-XMPP
Requires:       perl-Unicode-String
Requires:       perl-XML-Stream
%{perl_requires}

%description
Net::Jabber is a convenient tool to use for any perl script that would
like to utilize the Jabber Instant Messaging protocol. While not a
client in and of itself, it provides all of the necessary back-end
functions to make a CGI client or command-line perl client feasible and
easy to use. Net::Jabber is a wrapper around the rest of the official
Net::Jabber::xxxxxx packages.



Authors:
--------
    Ryan Eatmon <reatmon@ti.com>

%prep
%setup -q -n Net-Jabber-%{version}
%patch

%build
perl Makefile.PL
make %{?_smp_mflags}
make test || echo "obelisk.net has discontinued test account"

%install
%perl_make_install
%perl_process_packlist
chmod a-x examples/component_accept.pl examples/component_test.pl

%files
%defattr(-,root,root)
%doc README CHANGES LICENSE.LGPL examples
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Net
%{perl_vendorarch}/auto/Net

%changelog
* Tue Oct 14 2014 jengelh@inai.de
- Use source URLs and remove ancient specfile tags and sections
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Nov 25 2009 meissner@suse.de
- rediffed for fuzz=0
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Tue Aug  9 2005 ro@suse.de
- ignore test errors for the moment
* Mon Aug  1 2005 mjancar@suse.cz
- update to 2.0
- add perl-Authen-SASL and perl-Net-XMPP to Requires
* Tue Mar  2 2004 mjancar@suse.cz
- update to 1.29
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Aug  7 2003 mjancar@suse.cz
- fix tests that depend on certain order of entries
  in a hash (it is random in perl 5.8.1)
* Tue Jul 22 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Tue Jun 17 2003 mjancar@suse.cz
- fix filelist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Wed Dec 18 2002 prehak@suse.cz
- updated to version 1.28
- removed x permissions from nonexecutable example scripts
* Sat Jul 20 2002 prehak@suse.cz
- update to version 1.26
- added perl-Unicode-String to neededforbuild and to Required
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Tue Jan 15 2002 rvasice@suse.cz
- update to version 1.0024
* Wed Aug 15 2001 rvasice@suse.cz
- initial package release (version 1.0022)
